# $Revision: 1.37 $, $Date: 2002/08/22 23:36:27 $
%include        /usr/lib/rpm/macros.perl
Summary:	Multi-threaded Routing Toolkit
Summary(pl):	Wielowtkowe narzdzia do routingu dynamicznego
Name:		mrt
Version:	2.2.2a
Release:	3
License:	distributable
Group:		Networking/Admin
Source0:	http://prdownloads.sourceforge.net/mrt/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Patch0:		%{name}-perl.patch
Patch1:		%{name}-fix.patch
Patch2:		%{name}-va_arg.patch
URL:		http://www.mrtd.net/
BuildRequires:	gdbm-devel
BuildRequires:	rpm-perlprov
Prereq:		/sbin/chkconfig
Prereq:		rc-scripts
Provides:	routingdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	bird
Obsoletes:	gated
Obsoletes:	zebra
Obsoletes:	zebra-guile

%description
MRT is a multi-threaded routing toolkit. It supports RIP, RIPng, BGP
and BGP4+ protocols, for both IPv4 and IPv6.

%description -l pl
MRT jest wielowtkowym narzdziem do routingu obsugujcym protokoy:
RIP, RIPng, BGP oraz BGP4+.

%prep
%setup -q -n %{name}-2.2a-Aug-14-2000
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
./make-sym-links
(cd src; chmod u+rw configure; autoconf)

cd `ls -d src.*`
ac_n="-n"; export ac_n
%configure \
	--enable-ipv6 \
	--enable-thread \
	--with-gdbm \
	--disable-mrouting # broken

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{1,8}} \
	$RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d

cd `ls -d src.*`

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT%{_sbindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

install ../src/programs/mrtd/mrtd.conf $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/mrtd
install -d docs/scripts; cd docs

cp -f ../../src/programs/bgpsim/*.conf .
cp -f ../../src/programs/mrtd/mrtd.pim.conf .
cp -f ../../src/programs/{bgpsim,route_{atob,btoa}}/*.pl scripts/
cp -f ../../src/programs/{sbgp,route_{atob,btoa}}/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add mrtd >&2
if [ -f /var/lock/subsys/mrtd ]; then
	/etc/rc.d/init.d/mrtd restart >&2
else
	echo "Run '/etc/rc.d/init.d/mrtd start' to start routing deamon." >&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/mrtd ]; then
		/etc/rc.d/init.d/mrtd stop >&2
	fi
	/sbin/chkconfig --del mrtd >&2
fi

%files
%defattr(644,root,root,755)
%doc src.*/docs/*

%attr(600,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/*.conf
%attr(754,root,root) %{_sysconfdir}/rc.d/init.d/mrtd
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man[18]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mrt.spec,v $
Revision 1.37  2002/08/22 23:36:27  marcus
- use new %%doc

Revision 1.36  2002/08/22 23:32:43  marcus
- rel.3.
- fixed for ppc

Revision 1.35  2002/02/23 03:54:21  kloczek
- adapterized.

Revision 1.34  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.33  2002/01/18 02:13:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.32  2002/01/02 13:50:08  qboosh
- workaround for ac, added patch - builds now (w/o publisher and route_tracker)

Revision 1.31  2001/11/23 22:54:16  blues
- switched to sourceforge sources
- setup fixed
- fixed typo in install
NOTE: does not build

Revision 1.30  2001/11/22 15:29:17  qboosh
- s/Copyright/License/, adapterized, BuildRequires: rpm-perlprov

Revision 1.29  2001/07/26 05:42:21  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.27  2001/04/17 12:04:46  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.26  2000/11/18 22:39:24  kloczek
- Requires: rc-scripts changed to Prereq,
- standarized %post, %preun,
- few simplifications in %install,
- added "Provides: routingdaemon",
- added Obsoletes rules for bird, gated, zebra, zebra-guile.

Revision 1.25  2000/11/18 21:34:09  misiek
a bit updated but not finished

Revision 1.24  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.23  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.22  2000/06/07 03:33:09  kloczek
- spec adapterized.

Revision 1.21  2000/05/17 08:12:27  wiget
- 2.2.1a
- disable mrouting

Revision 1.20  2000/05/05 15:05:59  mis
- Group: synced with PLD groups

Revision 1.19  2000/04/01 11:14:54  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.17  1999/12/06 23:04:51  wiget
- 2.1.1a

Revision 1.16  1999/09/11 13:54:40  misiek
- fixed requires (PR#45)

Revision 1.15  1999/08/06 14:15:42  misiek
update to 2.0.0a

Revision 1.14  1999/07/27 16:12:53  misiek
update to 1.6.2a-990722

Revision 1.13  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.12  1999/07/12 23:06:10  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri May 14 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.6.0a-2.990502]
- now package is FHS 2.0 compliant.

* Wed Jan 27 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [1.5.0a-3d]
- final build for Tornado,
- compressed man pages && documentaction,
- fixed group, && added Group(pl),
- other changes.

* Sat Sep 05 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [1.4.9-1d]
- updated to 1.4.9a.

* Thu Sep 03 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [1.4.8-1-RH]
- added Buildroot,
- fixed files permissions,
- build from non root's account.

* Sat Aug 22 1998 Marek Obuchowicz <elephant@shadow.eu.org>
  [1.4.8-1d]
- first try at RPM,
- build against GNU Libc-2.1.
